ZenLib::ZtringListListF class Reference

Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# ZenLib::ZtringListListF Class Reference

ZtringListList with file management. More...

`#include <ZtringListListF.h>`

Inheritance diagram for ZenLib::ZtringListListF:

List of all members.

## Public Member Functions

| ZtringListListF ()
| ZtringListListF (const ZtringListList &Source)
| ZtringListListF (const Ztring &Source)
| ZtringListListF (const Char *Source)
size_t | Load (const Ztring &FileName=_T(""))
size_t | Save (const Ztring &FileName=_T(""))
size_t | Cancel ()
void | Backup_Set (bool Save)
void | Backup_Count_Set (size_t Count)
void | Local_Set (bool Local)

## Protected Member Functions

size_t | CSV_Charger ()
size_t | CFG_Charger ()
size_t | CSV_Sauvegarder ()
size_t | CFG_Sauvegarder ()
size_t | NettoyerEspaces (Ztring &ANettoyer)

## Protected Attributes

Ztring | Nom
bool | Sauvegarde
size_t | Backup_Nb_Max
size_t | Backup_Nb
bool | Local

## Detailed Description

ZtringListList with file management.

## Constructor & Destructor Documentation

ZenLib::ZtringListListF::ZtringListListF | ( |  | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const ZtringListList & | Source | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const Ztring & | Source | ) |

ZenLib::ZtringListListF::ZtringListListF | ( | const Char * | Source | ) |

## Member Function Documentation

void ZenLib::ZtringListListF::Backup_Count_Set | ( | size_t | Count | ) |

void ZenLib::ZtringListListF::Backup_Set | ( | bool | Save | ) |

size_t ZenLib::ZtringListListF::Cancel | ( |  | ) |

size_t ZenLib::ZtringListListF::CFG_Charger | ( |  | ) | `[protected]`

size_t ZenLib::ZtringListListF::CFG_Sauvegarder | ( |  | ) | `[protected]`

size_t ZenLib::ZtringListListF::CSV_Charger | ( |  | ) | `[protected]`

size_t ZenLib::ZtringListListF::CSV_Sauvegarder | ( |  | ) | `[protected]`

size_t ZenLib::ZtringListListF::Load | ( | const Ztring & | FileName = _T("") | ) |

void ZenLib::ZtringListListF::Local_Set | ( | bool | Local | ) |

size_t ZenLib::ZtringListListF::NettoyerEspaces | ( | Ztring & | ANettoyer | ) | `[protected]`

size_t ZenLib::ZtringListListF::Save | ( | const Ztring & | FileName = _T("") | ) |

## Member Data Documentation

size_t ZenLib::ZtringListListF::Backup_Nb`[protected]`

size_t ZenLib::ZtringListListF::Backup_Nb_Max`[protected]`

bool ZenLib::ZtringListListF::Local`[protected]`

Ztring ZenLib::ZtringListListF::Nom`[protected]`

bool ZenLib::ZtringListListF::Sauvegarde`[protected]`

The documentation for this class was generated from the following file:

- ZtringListListF.h